Bug 33131 - Support of VLAN, Bonding, Bridges: Fix interface name regular expressions
Support of VLAN, Bonding, Bridges: Fix interface name regular expressions
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Basic settings
UCS 4.1
All Linux
: P4 enhancement (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on: 30816
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 16:12 CET by Philipp Hahn
Modified: 2017-07-26 14:39 CEST (History)
8 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.034
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2013-11-05 16:12:45 CET
+++ This bug was initially created as a clone of Bug #30816 +++
+++ This bug was initially created as a clone of Bug #28389 +++

Created attachment 5568 [details]

I can't create a bridge named "dhcppt", which is flagged as invalid. I'm required to add a trailing "0".
A bridge and bonding interface can be named arbitrarily.

> re = /^(?![.]{1,2}$)[^/ \t\n\r\f]{1,15}$/;
/^(?![.]{1,2}$)[^/ \t\n\r\f]{1,15}$/
> re.test('')
false
> re.test('.')
false
> re.test('..')
false
> re.test('...')
true
> re.test('....................................')
false
> re.test('eth0')
true
> re.test('.eth0')
true
Comment 1 Johannes Keiser univentionstaff 2017-07-06 15:29:15 CEST
Applied rebased patch:

r 80925
univention-system-setup (10.0.10-26) 
* Bug #33131: Applied patch from Philipp Hahn - Fix interface name regular
expressions

YAML: r 80926
Comment 2 Florian Best univentionstaff 2017-07-07 16:08:01 CEST
OK: I could add a bridge named "dhcppt"
OK: YAML (adjusted in r80978)
Comment 3 Erik Damrose univentionstaff 2017-07-26 14:39:12 CEST
<http://errata.software-univention.de/ucs/4.2/109.html>